<?php

namespace RecruitCrm\LogicMelon\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for APIAdvertWithPostings StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:APIAdvertWithPostings
 * @subpackage Structs
 */
class APIAdvertWithPostings extends AbstractStructBase
{
    /**
     * The Advert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \RecruitCrm\LogicMelon\StructType\APIAdvert
     */
    public $Advert;
    /**
     * The Postings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting
     */
    public $Postings;
    /**
     * Constructor method for APIAdvertWithPostings
     * @uses APIAdvertWithPostings::setAdvert()
     * @uses APIAdvertWithPostings::setPostings()
     * @param \RecruitCrm\LogicMelon\StructType\APIAdvert $advert
     * @param \RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting $postings
     */
    public function __construct(\RecruitCrm\LogicMelon\StructType\APIAdvert $advert = null, \RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting $postings = null)
    {
        $this
            ->setAdvert($advert)
            ->setPostings($postings);
    }
    /**
     * Get Advert value
     * @return \RecruitCrm\LogicMelon\StructType\APIAdvert|null
     */
    public function getAdvert()
    {
        return $this->Advert;
    }
    /**
     * Set Advert value
     * @param \RecruitCrm\LogicMelon\StructType\APIAdvert $advert
     * @return \RecruitCrm\LogicMelon\StructType\APIAdvertWithPostings
     */
    public function setAdvert(\RecruitCrm\LogicMelon\StructType\APIAdvert $advert = null)
    {
        $this->Advert = $advert;
        return $this;
    }
    /**
     * Get Postings value
     * @return \RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting|null
     */
    public function getPostings()
    {
        return $this->Postings;
    }
    /**
     * Set Postings value
     * @param \RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting $postings
     * @return \RecruitCrm\LogicMelon\StructType\APIAdvertWithPostings
     */
    public function setPostings(\RecruitCrm\LogicMelon\ArrayType\ArrayOfAPIPosting $postings = null)
    {
        $this->Postings = $postings;
        return $this;
    }
}
